return {
  {
    "folke/noice.nvim",
    event = "VeryLazy",
    opts = {
      lsp = {
        -- override markdown rendering so that **cmp** and other plugins use **Treesitter**
        override = {
          ["vim.lsp.util.convert_input_to_markdown_lines"] = true,
          ["vim.lsp.util.stylize_markdown"] = true,
          ["cmp.entry.get_documentation"] = true,
        },
      },
      presets = {
        bottom_search = true, -- use a classic bottom cmdline for search
        command_palette = true, -- position the cmdline and popupmenu together
        --long_message_to_split = true, -- long messages will be sent to a split
        inc_rename = false, -- enables an input dialog for inc-rename.nvim
        lsp_doc_border = true, -- add a border to hover docs and signature help
      },
    },
    dependencies = {
      {
        "stevearc/dressing.nvim",
        opts = {
          input = {
            mappings = {
              i = {
                ["<Esc>"] = "Close",
              },
            },
          },
          select = {
            backend = { "telescope" },
            telescope = require("telescope.themes").get_cursor(),
          },
        },
      },
      {
        "MunifTanjim/nui.nvim"
      },
    }
  }
}

